--CREATE TABLE [SIPM].[DPIV_ExceptionReportDPIV_FoulDES] (
--[No] bigint,
--[Activity_Date] int,
--[Kode_MI] varchar(12),
--[Nama_MI] varchar(100),
--[Kode_BK] nvarchar(50),
--[Nama BK] varchar(255),
--[Kode RD] nvarchar(50),
--[Nama RD] varchar(100),
--[Jenis_Reksadana] nvarchar(50),
--[Jenis_Reksadana_Desc] varchar(100),
--[Sharia_Compliance] nvarchar(50),
--[Currency] nvarchar(50),
--[Kode_Efek] nvarchar(50),
--[Nama_Efek] varchar(100),
--[Jenis_Efek] nvarchar(50),
--[Nilai_Efek] numeric(18,2),
--[NAB] numeric(32,6),
--[Efek_NAB] float,
--[Tanggal_Mulai] nvarchar(50),
--[Tipe_Foul] int,
--[Jumlah_Hari] int,
--[Last_Update_TimeStamp] nvarchar(50)
--)
--GO

--CREATE TABLE [SIPM].[DPIV_ExceptionReportDPIV_FoulFivePersenModalDisetor] (
--[No] bigint,
--[Tanggal Aktifitas] varchar(8),
--[Kode RD] varchar(50),
--[Nama RD] varchar(100),
--[Tipe RD] varchar(25),
--[Jenis Reksa Dana] varchar(100),
--[Kode BK] varchar(50),
--[Nama BK] varchar(255),
--[Kode MI] varchar(12),
--[Nama MI] varchar(100),
--[Kode Efek] varchar(50),
--[Efek Desc] varchar(100),
--[Jenis_Efek] varchar(50),
--[Jenis Efek] varchar(100),
--[Kode Issuer] varchar(50),
--[Nama Issuer] varchar(50),
--[Shares_Fund_Qty] float,
--[Nilai_Efek] float,
--[Shares_Modal_Disetor_Qty] float,
--[Nilai_Modal_Disetor] float,
--[Kepemilikan] float,
--[Tanggal_Mulai] varchar(50),
--[Tipe_Foul] varchar(50),
--[Kategori_Foul] varchar(50),
--[Jumlah_Hari] int
--)

--GO
--CREATE TABLE [SIPM].[DPIV_ExceptionReportDPIV_FoulHargaTransaksi] (
--[No] bigint,
--[Trade_Date] int,
--[Settlement_Date] int,
--[Kode_MI] nvarchar(50),
--[Nama_MI] varchar(100),
--[Kode_BR] nvarchar(50),
--[Nama Broker] varchar(100),
--[Kode_RD] nvarchar(50),
--[Nama RD] varchar(100),
--[Kode_BK] nvarchar(50),
--[Nama BK] varchar(255),
--[Jenis_RD] nvarchar(50),
--[Jenis_Reksadana_Desc] varchar(100),
--[Kode_Efek] nvarchar(50),
--[Nama_Efek] varchar(100),
--[Jenis_Efek] nvarchar(50),
--[CCY] nvarchar(50),
--[Buy_Sell] nvarchar(50),
--[PTP_Price] float,
--[High_Price_EQ] float,
--[Low_Price_EQ] float,
--[IBPA_High_Price] float,
--[IBPA_Low_Price] float,
--[Outlayer] nvarchar(50),
--[Tipe_Foul] nvarchar(50),
--[Last_Update_Time_Stamp] nvarchar(50)
--)
--GO
--CREATE TABLE [SIPM].[DPIV_ExceptionReportDPIV_FoulKebijakanInvestasi] (
--[No] bigint,
--[Periode] varchar(8),
--[Kode RD] varchar(16),
--[Nama [RD] varchar(100),
--[Kode MI] varchar(12),
--[Nama MI] varchar(100),
--[Kode BK] varchar(20),
--[Nama BK] varchar(255),
--[Currency] varchar(3),
--[% Equity] numeric(38,0),
--[% Fixed] numeric(38,0),
--[% Money] numeric(38,0),
--[Min Equity] numeric(38,0),
--[Max Equity] numeric(38,0),
--[Min Fixed] numeric(38,0),
--[Max Fixed] numeric(38,0),
--[Min Money] numeric(38,0),
--[Max Money] numeric(38,0),
--[Total Aktiva] numeric(38,0),
--[FI_STA] numeric(38,0),
--[FI_NOTES] varchar(10),
--[LST_UPD] varchar(14)
--)
--GO
--CREATE TABLE [SIPM].[DPIV_ExceptionReportDPIV_FoulKomposisiEfekKSEI] (
--[No] bigint,
--[Periode] varchar(8),
--[Kode RD] varchar(16),
--[Nama RD] varchar(100),
--[Kode Efek] varchar(40),
--[Nama Efek] varchar(100),
--[Kode BK] varchar(20),
--[Nama BK] varchar(255),
--[Kode MI] varchar(12),
--[Nama MI] varchar(100),
--[FS_TYP] varchar(1),
--[Total Aktiva] numeric(38,0),
--[Total] numeric(38,0),
--[PCT_ASSET] numeric(38,0),
--[PCT_ASSET_HIT] numeric(38,0),
--[FS_CURRC] varchar(3),
--[FS_STA] numeric(38,0),
--[FS_NOTES] varchar(10),
--[LST_UPD] varchar(14),
--[FS_REPEAT] numeric(38,0),
--[SEC_ISSUER_ID] varchar(40),
--[SEC_ISSUER_DSC] varchar(100),
--[KATEGORI_FOUL] varchar(10)
--)
--GO
--CREATE TABLE [SIPM].[DPIV_ExceptionReportDPIV_FoulKomposisiEfekSyariah] (
--[No] bigint,
--[Periode] varchar(8),
--[Kode RD] varchar(16),
--[Nama RD] varchar(100),
--[Kode Efek] varchar(40),
--[Nama Efek] varchar(100),
--[Kode BK] varchar(20),
--[Nama BK] varchar(255),
--[Kode MI] varchar(12),
--[Nama MI] varchar(100),
--[FS_TYP] varchar(1),
--[Total Aktiva] numeric(38,0),
--[Total] numeric(38,0),
--[PCT_ASSET] numeric(38,0),
--[PCT_ASSET_HIT] numeric(38,0),
--[FS_CURRC] varchar(3),
--[FS_STA] numeric(38,0),
--[FS_NOTES] varchar(10),
--[LST_UPD] varchar(14),
--[FS_REPEAT] numeric(38,0),
--[SEC_ISSUER_ID] varchar(40),
--[SEC_ISSUER_DSC] varchar(100),
--[KATEGORI_FOUL] varchar(10)
--)
--GO
--CREATE TABLE [SIPM].[DPIV_ExceptionReportDPIV_FoulNABUnder10M] (
--[No] bigint,
--[Activity_Date] varchar(8),
--[Kode RD] varchar(50),
--[Nama RD] varchar(100),
--[Tipe RD] varchar(25),
--[Jenis Reksa Dana] varchar(100),
--[Kode_BK] varchar(50),
--[Nama BK] varchar(255),
--[Kode MI] varchar(12),
--[Nama MI] varchar(100),
--[CCY] varchar(50),
--[NAB] float,
--[Tanggal_efektif_OJK] varchar(8),
--[Tanggal_Mulai] varchar(8),
--[Jumlah_Hari] varchar(50)
--)
--GO
--CREATE TABLE [SIPM].[DPIV_RBSMI_MonitoringPenetapanPenilaianRBSMI] (
--[No] bigint,
--[NamaPihak] nvarchar(250),
--[RisikoInhirenNilai] decimal(13,2),
--[RisikoInhirenRange] nvarchar(100),
--[GCGNilai] decimal(13,2),
--[GCGRange] nvarchar(100)
--)
--GO
--CREATE TABLE [SIPM].[DPIV_RBSMI_PenilaianRBSMI] (
--[No] bigint,
--[NamaPerusahaan] nvarchar(250),
--[Bulan] nvarchar(max),
--[Tahun] nvarchar(max),
--[StatusPenilaian] nvarchar(100),
--[Template] nvarchar(250),
--[PIC] varchar(255),
--[Proses] int,
--[TanggalPengajuan] datetime,
--[TanggalApprove] datetime,
--[TanggalProses] datetime
--)
--GO
--CREATE TABLE [SIPM].[DPIV_PengawasanTransaksiInvestasi_RatingPortofolioReksaDana] (
--[No] bigint,
--[PPEQKO97Q101ID] int NOT NULL,
--[AbsensiID] int,
--[PeriodePelaporan] varchar(20),
--[EntityCode] varchar(20),
--[EntityType] varchar(20),
--[SumberData] varchar(100),
--[MarketSectorCode] numeric(1,0),
--[MarketSubSectorCode] numeric(2,0),
--[KodeIssuer] varchar(40),
--[NamaIssuer] varchar(100),
--[JenisPemeringkatan] numeric(1,0),
--[KodeJenisEfek] numeric(3,0),
--[KodeISIN] varchar(12),
--[NamaEfek] varchar(250),
--[CurrencyCode] char(3),
--[NilaiEmisi] numeric(25,0),
--[NilaiOutStanding] numeric(25,0),
--[TanggalEmisi] date,
--[TanggalJatuhTempo] date,
--[TingkatBunga] numeric(5,2),
--[Peringkat] varchar(20),
--[TanggalMulaiPerjanjianPemeringkat] date,
--[TanggalAkhirPerjanjianPermeringkat] date,
--[RatingAction] numeric(1,0),
--[LeadAnalyst] char(3),
--[PermintaanPemeringkat] numeric(1,0),
--[InterprestasiHasilPemeringkat] varchar(250),
--[SumberInformasiPemeringkat] varchar(250),
--[CreatedDate] datetime,
--[CreatedBy] varchar(50),
--[UpdatedDate] datetime,
--[UpdatedBy] varchar(50),
--[DeletedBy] varchar(50),
--[DeletedDate] datetime,
--[DeletedFlag] bit,
--[LoadDatetime] datetime
--)
--GO
--CREATE TABLE [SIPM].[DPIV_TataKelolaManajerInvestasi_SummaryKriteriaPenilaianTatakelolaPerPerusahaan] (
--[No] bigint,
--[Kode LJK] varchar(10),
--[Nama MI] varchar(100),
--[Nilai x Bobot] nvarchar(4000),
--[Peringkat Komposit] varchar(11)
--)
--GO
--CREATE TABLE [SIPM].[DPIV_TataKelolaManajerInvestasi_SummaryRankingPeringkatKompositSeluruhPerusahaan] (
--[No] bigint,
--[Kriteria Penilaian Tata Kelola] varchar(76),
--[Nilai] nvarchar(4000),
--[Bobot (%)] nvarchar(4000),
--[Nilai x Bobot] nvarchar(4000)
--)
--GO
--CREATE TABLE [SIPM].[DPIV_PengawasanTransaksiInvestasi_TopFiveJenisReksaDanaBIPITertinggi] (
--[No] bigint,
--[IDTypeRD] varchar(25),
--[Jenis Reksa Dana] varchar(100),
--[BIPI] numeric(38,6)
--)
--GO
--CREATE TABLE [SIPM].[DPIV_PengawasanTransaksiInvestasi_TopFiveReksaDanaBIPITertinggi] (
--[No] bigint,
--[IDLAPORANHEADER] varchar(14) NOT NULL,
--[Nama Reksa Dana] varchar(8000),
--[Nama Manajer Investasi] varchar(8000),
--[BIPI] numeric(30,2)
--)
--GO


CREATE TABLE [SIPM].[DPIV_MKBDManajerInvestasi_KomitmenBelanjaModalSesuaiCatatanAtasLaporanKeuangan] (
[No] bigint,
[MKBDTransactionID] numeric(18,0),
[CalendarDate] date,
[MKBDAccountCode] varchar(30),
[CommitmentDate] date,
[BuyingDetail] float,
[RealizedDate] date,
[RealizedCommitment] float,
[NotRealiezedCommitment] float
)
GO
CREATE TABLE [SIPM].[DPIV_MKBDManajerInvestasi_MKBDMI] (
[No] bigint,
[Calendar Date] date,
[Security Company Code] varchar(30),
[Nama_PE] varchar(50),
[Nilai MKBD Dipersyaratkan] numeric(30,2),
[Jumlah MKBD] numeric(30,2)
)
GO
CREATE TABLE [SIPM].[DPIV_MKBDManajerInvestasi_SaldoDebitBukuPembantuDana] (
[No] bigint,
[MKBDTransactionID] numeric(18,0),
[CalendarDate] date,
[MKBDAccountCode] varchar(30),
[MKBDAccountBalance] float,
[Affiliated] float,
[NotAffiliated] float
)
GO
CREATE TABLE [SIPM].[DPIV_MKBDManajerInvestasi_SaldoKreditBukuPembantuDana] (
[No] bigint,
[MKBDTransactionID] numeric(18,0),
[CalendarDate] date,
[MKBDAccountCode] varchar(30),
[MKBDAccountBalance] float,
[BalanceOwned] float,
[BalanceSeparated] float,
[BalanceNotSeparated] float
)
GO
CREATE TABLE [SIPM].[DPIV_MKBDManajerInvestasi_SummaryMKBDMI] (
[No] bigint,
[Calendar Date] date,
[Kode] varchar(30),
[Nama MI] varchar(50),
[TOTAL ASET LANCAR] numeric(30,2),
[TOTAL LIABILITAS] numeric(30,2)
)
GO
